Bug 63273 - missing VideoRam line in /etc/X11/XF86Config*
missing VideoRam line in /etc/X11/XF86Config*
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-04-11 17:03 EDT by David Paschal
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-01 01:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Paschal 2002-04-11 17:03:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18-dsp1 i686)

Description of problem:
Xconfigurator puts "VideoRam" line commented out in 'Section "Device"' in file
/etc/X11/XF86Config and not at all in /etc/X11/XF86Config-4.

This is a problem for me, because I use 8MB Matrox Millennium II cards, for
which XFree86 is unable to probe the video RAM size due to a hardware bug and
defaults to 4MB.  Even though I specify 8MB, if the setting doesn't get saved
into the configuration file, I am unable to use the higher-resolution modes with
this card unless I manually edit the configuration file, which many users
wouldn't know to do.

anaconda has a similar issue, which I've already logged as #63265.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run Xconfigurator on a machine with an 8MB Matrox Millennium video card.
2. Specify 8MB video RAM and a video mode that requires that much RAM, such as

Actual Results:  XFree86 refuses to do a mode higher than 1152x864x24, because
it assumes 4MB of video RAM unless told otherwise.

Expected Results:  If XFree86 had been told that there was 8MB video RAM, then
it would have used the higher-resolution mode that I selected, such as

Additional info:
Comment 1 Mike A. Harris 2002-04-14 10:20:35 EDT
This worked in the past for broken Matrox hardware.  Should still work,
but if not, it is something that can be considered for future releases.
Ultimately, it is broken hardware, and not a software bug, so it is not
high priority.  Since there are config tool changes upcoming, it can be
looked at again during toolchange for a future release.
Comment 2 Mike A. Harris 2002-11-01 01:59:04 EST
Reassigning to new X config tool for potential future consideration.
Matrox older hardware still isn't detectable, so I'm not sure what
if anything can be done here really.
Comment 3 Alexander Larsson 2002-11-05 07:12:23 EST
This is already settable with redhat-config-xfree86.

Note You need to log in before you can comment on or make changes to this bug.